Bug 97960 - FILESAVE DOC Does not preserve the font size in empty tables
Summary: FILESAVE DOC Does not preserve the font size in empty tables
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.2.2 release
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:5.2.0 target:5.1.2 target:5.0.6
Keywords: bibisected, bisected, filter:doc, regression
Depends on:
Blocks:
 
Reported: 2016-02-18 04:42 UTC by Soldatov Semen
Modified: 2017-05-19 10:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Soldatov Semen 2016-02-18 04:42:59 UTC
Create new doc.
Create in document new table 5x5.
Select all cells in table and set font size e.g. 8.
Save and close this doc.
Open doc again.
Expected Result: Font size in cells set to 8
Сurrent result: Font size in cells set to default (12)
Comment 1 Buovjaga 2016-02-20 15:20:48 UTC
Works fine here. Saved to .odt format.

Which version are you using? Which operating system?

Win 7 Pro 64-bit, Version: 5.1.0.3 (x64)
Build ID: 5e3e00a007d9b3b6efb6797a8b8e57b51ab1f737
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: fi-FI (fi_FI)

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the information.
Comment 2 Soldatov Semen 2016-02-20 15:27:01 UTC
Version 5.0.5 and 5.1.0.3
This bug only in .doc format
Comment 3 Soldatov Semen 2016-02-20 15:27:56 UTC
System Linux
Comment 4 Buovjaga 2016-02-20 15:36:29 UTC
Reproduced, but not in 4.3.

Win 7 Pro 64-bit, Version: 5.1.0.3 (x64)
Build ID: 5e3e00a007d9b3b6efb6797a8b8e57b51ab1f737
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: fi-FI (fi_FI)

Version: 5.2.0.0.alpha0+
Build ID: ef02de2698d90fd874bddf3146165cbe85487bc5
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-02-19_23:40:50
Locale: fi-FI (fi_FI)

5.0.2.2
4.3.0.1
Comment 5 raal 2016-02-26 12:47:33 UTC
This seems to have begun at the below commit.


7649493762d8291d6d5d4014188db3bf86e75757 is the first bad commit
commit 7649493762d8291d6d5d4014188db3bf86e75757
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Wed Jul 29 18:45:02 2015 -0700

    source sha:e1b123896d5b0a96c2959b6b6768c7cffabafd4f

    source sha:e1b123896d5b0a96c2959b6b6768c7cffabafd4f
author	Justin Luth <justin_luth@sil.org>	2015-04-16 10:31:39 (GMT)
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2015-07-15 23:23:38 (GMT)
commit	e1b123896d5b0a96c2959b6b6768c7cffabafd4f (patch)
tree	60d1ddb4c39fcbe2eb944b23e19b8d4286a065a1
parent	7ef02ac0ad217240c9adc6279f54342a066182aa (diff)
tdf#87437 exclude CR/cell break from redline deletions
Comment 6 Justin L 2016-02-26 15:15:16 UTC
reproduced on Windows and Linux.  The key to reproducing is that the table must be EMPTY.
Comment 7 Soldatov Semen 2016-02-28 06:30:41 UTC
(In reply to Justin L from comment #6)
> reproduced on Windows and Linux.  The key to reproducing is that the table
> must be EMPTY.

Empty cells.
Comment 8 Commit Notification 2016-03-01 04:31:46 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=44e700f70d750cf1c6aac89d0dd07a4f57879b1b

tdf#97960 - .doc: preserve font size in empty cells

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2016-03-01 04:34:08 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1d46afc6a7097f3265654f21ad2e01d1a8d757c0&h=libreoffice-5-1

tdf#97960 - .doc: preserve font size in empty cells

It will be available in 5.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-03-01 06:06:09 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b51c60b8b84c6a211b1c89bfd3001cb562ba5907&h=libreoffice-5-0

tdf#97960 - .doc: preserve font size in empty cells

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Björn Michaelsen 2016-03-25 02:01:16 UTC
assuming this to be fixed as per comments #8, #9, #10.